# online_user_info – Gather information about Online user

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gather information about the user.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Online API in seconds. aliases: timeout
api_token string |  | Online OAuth token. aliases: oauth_token
api_url string | Default: "https://api.online.net" | Online API URL aliases: base_url

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Online API.

## Notes

Note

- Also see the API documentation on https://console.online.net/en/api/

- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `ONLINE_TOKEN`, `ONLINE_API_KEY`, `ONLINE_OAUTH_TOKEN`, `ONLINE_API_TOKEN`

- If one wants to use a different `api_url` one can also set the `ONLINE_API_URL` environment variable.

## Examples

    - name: Gather Online user info
      online_user_info:
      register: result

    - debug:
        msg: "{{ result.online_user_info }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
online_user_info complex | success | Response from Online API Sample: {'online_user_info': {'company': 'foobar LLC', 'email': 'foobar@example.com', 'first_name': 'foo', 'id': 42, 'last_name': 'bar', 'login': 'foobar'}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.